| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
matrix_major_storage.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | colMajor2 (tvec2< T, P > const &v1, tvec2< T, P > const &v2)
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | colMajor2 (tmat2x2< T, P > const &m)
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | colMajor3 (tvec3< T, P > const &v1, tvec3< T, P > const &v2, tvec3< T, P > const &v3)
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | colMajor3 (tmat3x3< T, P > const &m)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | colMajor4 (tvec4< T, P > const &v1, tvec4< T, P > const &v2, tvec4< T, P > const &v3, tvec4< T, P > const &v4)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | colMajor4 (tmat4x4< T, P > const &m)
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | rowMajor2 (tvec2< T, P > const &v1, tvec2< T, P > const &v2)
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | rowMajor2 (tmat2x2< T, P > const &m)
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | rowMajor3 (tvec3< T, P > const &v1, tvec3< T, P > const &v2, tvec3< T, P > const &v3)
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | rowMajor3 (tmat3x3< T, P > const &m)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | rowMajor4 (tvec4< T, P > const &v1, tvec4< T, P > const &v2, tvec4< T, P > const &v3, tvec4< T, P > const &v4)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | rowMajor4 (tmat4x4< T, P > const &m)

## Detailed Description

GLM_GTX_matrix_major_storage

See also
  GLM Core (dependence)
  GLM_GTX_extented_min_max (dependence)

Definition in file matrix_major_storage.hpp.